futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Language.Futhark.Prelude

Description

The Futhark Prelude Library embedded embedded as strings read during compilation of the Futhark compiler. The advantage is that the prelude can be accessed without reading it from disk, thus saving users from include path headaches.

Synopsis

- prelude :: [(FilePath, Text)]

# Documentation

prelude :: [(FilePath, Text)] Source #

Prelude embedded as `Text` values, one for every file.